site_name: Sthope Wiki
repo_url: https://git.sthope.dev/sthope/wiki
repo_name: sthope/wiki
edit_uri: _edit/master/docs/
site_url: https://wiki.sthope.dev
site_author: sthope

theme:
  name: material
  language: en
  logo: images/sthope_wiki.png
  favicon: images/assets/favicon.png
  icon:
    repo: fontawesome/brands/github
    logo: fontawesome/regular/folder-open
  palette:
    - scheme: slate
      toggle:
        icon: material/weather-sunny
        name: Switch to light mode
    - scheme: default
      toggle:
        icon: material/weather-night
        name: Switch to dark mode

  font:
    code: Jet Brains Mono
  features:
    - navigation.instant
    #- navigation.sections # prevents collapsible sections
    #- navigation.expand #expands sections by default
  # insiders only
    - search.suggest

plugins:
  # - git-revision-date
  - search
  - minify:
      minify_html: true
  # - external-markdown

markdown_extensions:
  - abbr
  - admonition # enables coloured blocks mid article
  - attr_list # improves image handling
  - pymdownx.details # enables collapsible admonitions
  - footnotes
  - meta # adds support for front matter
  - toc:
      permalink: true
      toc_depth: 4
  - pymdownx.highlight: # code highlighting
      linenums: true
      # anchor_linenums: true
  - pymdownx.tabbed # enables tabs for embedded blocks
  # - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences # allows for the nesting of code blocks inside other blocks
  - pymdownx.keys

copyright: Sthope &copy; 2024
extra:
  social:
    - icon: 'fontawesome/brands/github'
      link: 'https://github.com/sthopeless'
      name: GitHub
    - icon: 'fontawesome/brands/git'
      link: 'https://git.sthope.dev/sthope'
      name: Gitea
    - icon: 'fontawesome/brands/discord'
      link: 'https://discordapp.com/users/365825462074605569/'
      name: Message me on Discord

nav:
  - Proxmox:
    # - Debian VM: proxmox/Debian-VM.md
    - Home Assistant on Proxmox: proxmox/how-to-install-home-assistant.md
    - LXC Debian: proxmox/LXC-Debian.md
    - LXC Passthrough: proxmox/Passthrough.md
    - Proxmox send CPU Temp to Home-Assistant/MQTT: proxmox/send-cpu-temp-to-ha.md
    - Ubuntu VM Resize Disk: proxmox/ubuntu-vm-resize-disk.md
    # - VM Passthrough Harddrives: proxmox/vm-passthrough-harddrives.md
  - Docker Composes:  
    - docker-compose/Airsonic.md
    - docker-compose/Authentik.md
    - docker-compose/Bitwarden.md
    - docker-compose/CrowdSec.md
    - docker-compose/Dillinger.md
    - docker-compose/Drone.md
    - docker-compose/Gitea.md
    - docker-compose/LibrePhotos.md
    - docker-compose/Librespeed.md
    - docker-compose/MQTT-Mosquitto.md
    - docker-compose/Nextcloud.md
    - docker-compose/Ombi.md
    - docker-compose/Overseerr.md
    - docker-compose/PhotoView.md
    - docker-compose/Prowlarr.md
    - docker-compose/Swag.md
    - docker-compose/TasmoBackup.md
    - docker-compose/Tasmota-Device-Manager.md
    - docker-compose/Transmission.md
    - docker-compose/VSCode.md
    - docker-compose/Whisparr.md
    - docker-compose/WireGuard.md
    - docker-compose/Zigbee2MQTT.md
    - docker-compose/authelia.md
    - docker-compose/bazarr.md
    - docker-compose/cryptpad.md
    - docker-compose/dashy.md
    - docker-compose/digiKam.md
    - docker-compose/ethercalc.md
    - docker-compose/guacamole.md
    - docker-compose/heimdall.md
    - docker-compose/invidious.md
    - docker-compose/jdownloader.md
    - docker-compose/jellyfin.md
    - docker-compose/mealie.md
    - docker-compose/mqtt-explorer.md
    - docker-compose/n8n.md
    - docker-compose/octoprint.md
    - docker-compose/onlyoffice.md
    - docker-compose/phoneinfoga.md
    - docker-compose/piped.md
    - docker-compose/qbittorrent.md
    - docker-compose/rustdesk.md
    - docker-compose/samba.md
    - docker-compose/shlink.md
    - docker-compose/tailscale.md
    - docker-compose/tvheadend.md
    - docker-compose/uptime-kuma.md
  - cmnds:
    - 101: cmnds/101.md
    - AddUser 1Line: cmnds/adduser-1line.md
    - Tasmota Backlogs: cmnds/tasmota-backlogs.md